Package org.eclipse.spi.net4j

## Interface InternalChannel.SendQueueEvent

- All Superinterfaces:
    `org.eclipse.net4j.util.event.IEvent`
  Enclosing interface:
    InternalChannel

      public static interface InternalChannel.SendQueueEvent
      extends org.eclipse.net4j.util.event.IEvent

  An `event` fired from a `channel` when a `buffer` is enqueued or dequeued.
  Since:
    3.0
  Author:
    Eike Stepper
  No Implement
    This interface is not intended to be implemented by clients.
  No Extend
    This interface is not intended to be extended by clients.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface | Description
    --- | --- | ---
    `static class` | `InternalChannel.SendQueueEvent.Type` | Enumerates the possible `send queue` `event` types.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `getQueueSize()` |
    `InternalChannel` | `getSource()` |
    `InternalChannel.SendQueueEvent.Type` | `getType()` |

- - ### Method Detail

    - #### getSource

          InternalChannel getSource()

      Specified by:
        `getSource` in interface `org.eclipse.net4j.util.event.IEvent`

    - #### getType

          InternalChannel.SendQueueEvent.Type getType()

    - #### getQueueSize

          int getQueueSize()